Group: Development/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit f1ef64d7cee8f174151db42447dedd3c4ece91c2
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           csslint
Version:        0.10.0
Release:        alt1_9
Summary:        Detecting potential problems in CSS code

License:        MIT
URL:            http://github.com/stubbornella/csslint
Source0:        https://github.com/stubbornella/csslint/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        %{name}.sh

BuildArch:      noarch

Requires:       rhino
Source44: import.info


%description
CSSLint is a tool to help point out problems with your CSS code. It does basic
syntax checking as well as applying a set of rules to the code that look for
problematic patterns or signs of inefficiency. The rules are all pluggable, so
you can easily write your own or omit ones you don't want.


%prep
%setup -qn %{name}-%{commit}
# Executable
cp -p %{SOURCE1} .
sed -i -e 's|@JS_JAR@|%{_datadir}/java/js.jar|g' %{name}.sh
sed -i -e 's|@CSSLINT_RHINO@|%{_datadir}/%{name}/%{name}-rhino.js|g' %{name}.sh


%build
# Empty build section, most likely nothing required.


%install
install -d %{buildroot}%{_datadir}/%{name}
cp -a release/csslint-rhino.js %{buildroot}%{_datadir}/%{name}/
install -d %{buildroot}%{_bindir}
cp -a %{name}.sh %{buildroot}%{_bindir}/%{name}



%files
%doc CHANGELOG README.md
%{_datadir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_9
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_8
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_7
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_6
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_5
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_4
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_3
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_2
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_1
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.10-alt1_2
- update to new release by fcimport

* Mon Jun 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.10-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt2_3
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 0.9.8-alt2_2
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt1_2
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_2
- fc import

